import request from '@/utils/request'

// 查询爆灯次数变化列表
export function listChangeRecord(query) {
  return request({
    url: '/bst/changeRecord/list',
    method: 'get',
    params: query
  })
}

// 查询爆灯次数变化详细
export function getChangeRecord(recordId) {
  return request({
    url: '/bst/changeRecord/' + recordId,
    method: 'get'
  })
}

// 新增爆灯次数变化
export function addChangeRecord(data) {
  return request({
    url: '/bst/changeRecord',
    method: 'post',
    data: data
  })
}

// 修改爆灯次数变化
export function updateChangeRecord(data) {
  return request({
    url: '/bst/changeRecord',
    method: 'put',
    data: data
  })
}

// 删除爆灯次数变化
export function delChangeRecord(recordId) {
  return request({
    url: '/bst/changeRecord/' + recordId,
    method: 'delete'
  })
}
